Subject: Re: bug#23876: [Guix Info][7.1.4] Should remind user to add a swap partition

From: [email-masked] (Ludovic Courtès)
Date: Sun, 03 Jul 2016 00:05:49 +0200

Hello!

Eus <[email-masked]> skribis:

> If I may suggest, in Guix info that is displayed at console Alt+F2, a user should be reminded to add a swap partition.
>
> I forgot to do that first time, and so my "guix system --fallback init /mnt/etc/config.scm /mnt" got killed by OOM killer after about 10 hours.
>
> Even if a user is not building from source, a swap partition should be handy in case the RAM is limited and/or in case hibernating is later desired.

As a consequence of the unavailability of binaries on our machines, you
ended up building webkitgtk and probably other packages.  Building
webkitgtk requires a lot of resources, in particular more than 4G or
RAM, so this can easily run out of memory.

Again the goal is to avoid this situation altogether, so I don’t think
we should ask users to systematically add a swap partition before they
start ‘guix system init’.

Thanks for your feedback,
Ludo’.